<?php
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

															Staff Custom MetaBox

*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
add_action( 'add_meta_boxes', 'reza_staff_custom_meta_box' );
function reza_staff_custom_meta_box($post){
     add_meta_box('reza_staff_metabox', esc_html__('Staff Member','reza'), 'reza_staff_meta_callback', 'staff', 'normal' , 'high');
 
	
} 
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

															Staff  MetaBox

*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_staff_meta_callback($post) {
	global $post;
	wp_nonce_field( basename(__FILE__), 'reza_staff_meta_nonce' );
	$staff_external = get_post_meta($post->ID, 'staff_external', true);
	$staff_position = get_post_meta($post->ID, 'staff_position', true);
	$staff_description = get_post_meta($post->ID, 'staff_description', true); 
	$staff_real_name = get_post_meta($post->ID, 'staff_real_name', true); 
	$staff_url = get_post_meta($post->ID, 'staff_url', true); 
	$staff_email = get_post_meta($post->ID, 'staff_email', true); 
	$staff_phone = get_post_meta($post->ID, 'staff_phone', true); 
	$staff_skills = get_post_meta($post->ID, 'staff_skills', true); 
	$staff_socail=array();
	$staff_user_social=reza_array_options('user_social');
	foreach($staff_user_social as $social_key => $social_name){
		$staff_social['staff_'.$social_key] = get_post_meta($post->ID, 'staff_'.$social_key, true); 
	}
       ?>
    <table class="form-table">
    
		<tr class="meta_staff_external">
                <th ><label for="staff_external"><?php echo esc_html__('Staff Member custom link for external page ( use http:// ) )','reza');?></label></th>
                <td>
					<input type="text" name="staff_external" style="width:100%;" id="staff_external" value="<?php if(!empty($staff_external))echo  esc_attr($staff_external); ?>" />
                 </td>
		</tr>
            
		<tr class="meta_staff_position">
                <th ><label for="staff_position"><?php echo esc_html__('Staff Member Position','reza');?></label></th>
                <td>
					<input type="text" name="staff_position" style="width:100%;" id="staff_position" value="<?php if(!empty($staff_position))echo  esc_attr($staff_position); ?>" />
                 </td>
		</tr>
      
      
		<tr class="meta_staff_description">
			<th><label for="staff_description"><?php echo esc_html__('Staff Member Description','reza');?></label></th>
			<td>
				<textarea type="text" name="staff_description" style="width:100%;" id="staff_description"><?php if(!empty($staff_description))echo  esc_attr($staff_description); ?></textarea>
			</td>
		</tr>        
      
		<tr class="meta_staff_real_name">
			<th><label for="staff_real_name"><?php echo esc_html__('Staff Member Real Name','reza');?></label></th>
			<td>
				<input type="text" name="staff_real_name" style="width:100%;" id="staff_real_name"  value="<?php if(!empty($staff_real_name))echo  esc_attr($staff_real_name); ?>">
			</td>
		</tr> 
      
 		<tr class="meta_staff_url">
			<th><label for="staff_url"><?php echo esc_html__('Staff Member website url ( use http:// )','reza');?></label></th>
			<td>
				<input type="text" name="staff_url" style="width:100%;" id="staff_real_name" value="<?php if(!empty($staff_url))echo  esc_attr($staff_url); ?>">
			</td>
		</tr>
        
        
        <tr class="meta_staff_email">
			<th><label for="staff_email"><?php echo esc_html__('Staff Member Email Adress','reza');?></label></th>
			<td>
				<input type="text" name="staff_email" style="width:100%;" id="staff_email" value="<?php if(!empty($staff_email))echo  esc_attr($staff_email); ?>">
			</td>
		</tr> 
      
 		<tr class="meta_staff_phone">
			<th><label for="staff_email"><?php echo esc_html__('Staff Member Phone Number','reza');?></label></th>
			<td>
				<input type="text" name="staff_phone" style="width:100%;" id="staff_phone" value="<?php if(!empty($staff_phone))echo  esc_attr($staff_phone); ?>">
			</td>
		</tr>       
        
        
 		<tr class="meta_staff_skills">
			<th><label for="staff_skills"><?php echo esc_html__('Staff Member Skills','reza');?></label></th>
			<td>
				<input type="text" name="staff_skills" style="width:100%;" id="staff_skills"  value="<?php if(!empty($staff_skills))echo  esc_attr($staff_skills); ?>">
			</td>
		</tr>        
      	<?php
	 	foreach($staff_user_social as $social_key => $social_name){?>
        
         <tr class="meta_staff_<?php echo esc_attr($social_key);?>">
                <th ><label for="staff_<?php echo esc_attr($social_key);?>"><?php echo esc_html__('Staff Member','reza');?> <?php echo esc_html($social_name);?> <?php echo esc_html__('link','reza');?></label></th>
                <td>
					<input type="text" name="staff_<?php echo esc_attr($social_key);?>" style="width:100%;" id="staff_<?php echo esc_attr($social_key);?>" value="<?php if(!empty($staff_social['staff_'.$social_key]))echo  esc_attr($staff_social['staff_'.$social_key]); ?>" />
                 </td>
            </tr>    
        <?php }?>
  
      </tr>
    </table>
    
    
    
  <?php
 }
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

															Save Staff Metabox

*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_staff_meta_save($post_id) {
 
    if (!isset($_POST['reza_staff_meta_nonce']) || !wp_verify_nonce($_POST['reza_staff_meta_nonce'], basename(__FILE__))) return;

    if (!current_user_can('edit_post', $post_id)) return;

    if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) return;

  if (defined('DOING_AJAX') ) {
	return $post_id;
   }
	
	if(!empty($_POST['staff_external'])) {
      update_post_meta($post_id, 'staff_external', $_POST['staff_external']);
    } else {
      delete_post_meta($post_id, 'staff_external');
	} 
	
	if(!empty($_POST['staff_position'])) {
      update_post_meta($post_id, 'staff_position', $_POST['staff_position']);
    } else {
      delete_post_meta($post_id, 'staff_position');
	} 
	
	if(!empty($_POST['staff_description'])) {
      update_post_meta($post_id, 'staff_description', $_POST['staff_description']);
    } else {
      delete_post_meta($post_id, 'staff_description');
	} 
		
		
	if(!empty($_POST['staff_real_name'])) {
      update_post_meta($post_id, 'staff_real_name', $_POST['staff_real_name']);
    } else {
      delete_post_meta($post_id, 'staff_real_name');
	} 
	
	if(!empty($_POST['staff_url'])) {
      update_post_meta($post_id, 'staff_url', $_POST['staff_url']);
    } else {
      delete_post_meta($post_id, 'staff_url');
	} 		
	
	if(!empty($_POST['staff_email'])) {
      update_post_meta($post_id, 'staff_email', $_POST['staff_email']);
    } else {
      delete_post_meta($post_id, 'staff_email');
	} 		
	

	if(!empty($_POST['staff_phone'])) {
      update_post_meta($post_id, 'staff_phone', $_POST['staff_phone']);
    } else {
      delete_post_meta($post_id, 'staff_phone');
	} 		
	
	if(!empty($_POST['staff_skills'])) {
      update_post_meta($post_id, 'staff_skills', $_POST['staff_skills']);
    } else {
      delete_post_meta($post_id, 'staff_skills');
	} 		
	  
	$staff_user_social=reza_array_options('user_social');
	foreach($staff_user_social as $social_key => $social_name){
		
	if(!empty($_POST['staff_'.$social_key])) {
      update_post_meta($post_id, 'staff_'.$social_key, $_POST['staff_'.$social_key]);
    } else {
      delete_post_meta($post_id, 'staff_'.$social_key);
	} 			
		
	}
	  
}
add_action('save_post', 'reza_staff_meta_save');

