<?php
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

															Portfolio Post Type

*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
add_action( 'init', 'reza_portfolio_post_type' );
function reza_portfolio_post_type() {
	$labels = array(
		'name' 					=> reza_option('portfolio_breadcrumbs'),
		'singular_name'			=> reza_option('portfolio_breadcrumbs'),__('Portfolio','reza'),
		'add_new'				=> __('Add New','reza'),
		'add_new_item'			=> __('Add New','reza').' '.reza_option('portfolio_breadcrumbs'),
		'edit_item'				=> __('Edit','reza').' '.reza_option('portfolio_breadcrumbs'),
		'new_item'				=> __('New','reza').' '.reza_option('portfolio_breadcrumbs'),
		'view_item'				=> __('View','reza').' '.reza_option('portfolio_breadcrumbs'),
 		'all_items'				=> __('All','reza').' '.reza_option('portfolio_breadcrumbs'),
 		'search_items'			=> __('Search','reza').' '.reza_option('portfolio_breadcrumbs'),
		'not_found'				=> __('No','reza').' '.reza_option('portfolio_breadcrumbs').' '.__('found','reza'),
		'not_found_in_trash'	=>__('No','reza').' '.reza_option('portfolio_breadcrumbs').' '.__('found in trash','reza'),
		'parent_item_colon'		=> '',
		'menu_name'				=> reza_option('portfolio_breadcrumbs')
	);
	
	$args = array(
		'labels'				=> $labels,
		'public'				=> true,
		'publicly_queryable'	=> true,
		'show_ui'				=> true, 
		'show_in_menu'			=> true, 
		'query_var'				=> true,
   		'capability_type'		=> 'post',
		'has_archive'			=> true, 
		'hierarchical'			=> false,
		'menu_position'			=> null,
		'supports' => array( 'title', 'thumbnail' ,'editor')
	); 
	$portfolio_slug =  reza_option('portfolio_slug') ;
	if(!empty($portfolio_slug)){
		$args['rewrite']= array('slug' => sanitize_title($portfolio_slug));
	}

	register_post_type( 'portfolio', $args );
}
  
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

															Portfolio Categories Taxonomy

*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
 add_action( 'init', 'reza_portfolio_categories_taxonomy', 1 );
function reza_portfolio_categories_taxonomy() {
 
   $labels = array(
    'name'							=> __( 'Categories','reza' ),
    'singular_name'					=> __( 'Category','reza'  ),
    'search_items'					=> __( 'Search Categories' ,'reza' ),
    'popular_items'					=> __( 'Popular Categories','reza'  ),
    'all_items' 					=> __( 'All Categories' ,'reza' ),
	
    'parent_item'					=> __( 'Parent Category' ,'reza' ),
    'edit_item'						=> __( 'Edit Topic','reza' ), 
    'update_item' 					=> __( 'Update Category','reza'  ),
    'add_new_item'					=> __( 'Add New Category','reza'  ),
    'new_item_name'			 		=> __( 'New Topic Name' ,'reza' ),
    'separate_items_with_commas'	=> __( 'Separate Categories with commas' ,'reza' ),
    'add_or_remove_items'			=> __( 'Add or remove Categories','reza'  ),
    'choose_from_most_used' 		=> __( 'Choose from the most used Categories','reza'  ),
    'menu_name' 					=> __( 'Categories' ,'reza' ),
  ); 


// Now register the taxonomy
 	$portfolio_category_slug =  reza_option('portfolio_category_slug') ;
 
	
  register_taxonomy('portfolio_category','portfolio', array(
    'hierarchical' 					=> true,
    'labels' 						=> $labels,
    'show_ui' 						=> true,
    'show_admin_column'				=> true,
    'query_var'						=> true,
    'rewrite' 						=> array( 'slug' => sanitize_title($portfolio_category_slug) ),
  ));

}
 
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

															Portfolio Tags Taxonomy

*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

add_action( 'init', 'reza_portfolio_tags_taxonomies',1 );
function reza_portfolio_tags_taxonomies() 
{
  	$portfolio_tag_slug =  reza_option('portfolio_tag_slug') ;

   register_taxonomy( 'portfolio_tag', 
    	array('portfolio'),  
    	array('hierarchical'		=> false,  
     		'labels' 				=> array(
					'name' 				=> __( 'Tags', 'reza' ),  
					'singular_name'		=> __( 'Tag', 'reza' ), 
					'search_items' 		=>  __( 'Search Tags', 'reza' ),  
					'all_items' 		=> __( 'All Tags', 'reza' ),  
					'parent_item' 		=> __( 'Parent Tag', 'reza' ),  
					'parent_item_colon' => __( 'Parent Tag:', 'reza' ), 
					'edit_item'			=> __( 'Edit Tag', 'reza' ),  
					'update_item' 		=> __( 'Update Tag', 'reza' ), 
					'add_new_item' 		=> __( 'Add New Tag', 'reza' ), 
					'new_item_name' 	=> __( 'New Tag Name', 'reza' )  
    		),
    		'show_ui' 				=> true,
    		'query_var' 			=> true,
		    'rewrite'				=> array( 'slug' => sanitize_title($portfolio_tag_slug) ),
    	)
    );
 
}

add_action('manage_reza_portfolio_posts_custom_column', 'reza_display_thumbnails_column', 5, 2);

/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

															Portfolio Display thumbnail column

*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

add_filter('manage_portfolio_posts_columns', 'reza_portfolio_add_thumbnail_column', 5);
function reza_portfolio_add_thumbnail_column($columns){
   $columns['new_post_thumb'] = __('Featured Image','reza');
  return $columns;
} 


add_action('manage_portfolio_posts_custom_column', 'reza_portfolio_display_thumbnail_column', 5, 2);
function reza_portfolio_display_thumbnail_column($column_name, $post_id){
  switch($column_name){
    case 'new_post_thumb':
      $post_thumbnail_id =  get_post_thumbnail_id($post_id);
		$thumbnail = !empty($post_thumbnail_id)? wp_get_attachment_image_src($post_thumbnail_id, 'thumbnail'):'';

       if (!empty($thumbnail[0])) {
         echo '<img width="100" src="' . esc_url($thumbnail[0]) . '" />';
      }
      break;
  }
}