<?php
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

														Staff Post Type

*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
add_action( 'init', 'reza_staff_post_type' );
function reza_staff_post_type() {
	  $labels = array(
        'name'                => __( 'Staff Member', 'reza'),
        'singular_name'       => __( 'Staff', 'reza'),
        'menu_name'           => __( 'Staff Member',  'reza'),
        'parent_item_colon'   => __( 'Parent Movie', 'reza'),
        'all_items'           => __( 'All Staff Member', 'reza'),
        'view_item'           => __( 'View Staff', 'reza'),
        'add_new_item'        => __( 'Add New Staff', 'reza'),
        'add_new'             => __( 'Add New',  'reza'),
        'edit_item'           => __( 'Edit Staff', 'reza'),
        'update_item'         => __( 'Update Staff', 'reza'),
        'search_items'        => __( 'Search Staff', 'reza'),
        'not_found'           => __( 'Not Found', 'reza'),
        'not_found_in_trash'  => __( 'Not found in Trash',  'reza'),
    );
	$args = array(
		'labels'				=> $labels,
		'public'				=> true,
		'publicly_queryable'	=> true,
		'show_ui'				=> true, 
		'show_in_menu'			=> true, 
		'query_var'				=> true,
   		'capability_type'		=> 'post',
		'has_archive'			=> true, 
		'hierarchical'			=> false,
		'menu_position'			=> null,
		'supports' => array( 'title', 'thumbnail' ,'editor')
	); 
	 

	register_post_type( 'staff', $args );
}
 /*****************************************************************************************************************************************************
******************************************************************************************************************************************************

														Staff Categorries Taxonomy

*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
 add_action( 'init', 'reza_staff_categories_taxonomy', 1 );
function reza_staff_categories_taxonomy() {
 
   $labels = array(
		'name'							=> __( 'Categories','reza' ),
		'singular_name'					=> __( 'Category','reza'  ),
		'search_items'					=> __( 'Search Categories' ,'reza' ),
		'popular_items'					=> __( 'Popular Categories','reza'  ),
		'all_items' 					=> __( 'All Categories' ,'reza' ),
 		'parent_item'					=> __( 'Parent Category' ,'reza' ),
		'edit_item'						=> __( 'Edit Topic','reza' ), 
		'update_item' 					=> __( 'Update Category','reza'  ),
		'add_new_item'					=> __( 'Add New Category','reza'  ),
		'new_item_name'			 		=> __( 'New Topic Name' ,'reza' ),
		'separate_items_with_commas'	=> __( 'Separate Categories with commas' ,'reza' ),
		'add_or_remove_items'			=> __( 'Add or remove Categories','reza'  ),
		'choose_from_most_used' 		=> __( 'Choose from the most used Categories','reza'  ),
		'menu_name' 					=> __( 'Categories' ,'reza' ),
	);  
	$staff_category_slug =  reza_option('staff_category_slug') ;
  
	register_taxonomy('staff_category','staff', array(
		'hierarchical' 					=> true,
		'labels' 						=> $labels,
		'show_ui' 						=> true,
		'show_admin_column'				=> true,
		'query_var'						=> true,
   ));

}
 
 
add_action('manage_reza_staff_posts_custom_column', 'reza_display_thumbnails_column', 5, 2);

/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

															staff Display thumbnail column

*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

add_filter('manage_staff_posts_columns', 'reza_staff_add_thumbnail_column', 5);
function reza_staff_add_thumbnail_column($columns){
   $columns['new_post_thumb'] = __('Featured Image','reza');
  return $columns;
} 


add_action('manage_staff_posts_custom_column', 'reza_staff_display_thumbnail_column', 5, 2);
function reza_staff_display_thumbnail_column($column_name, $post_id){
  switch($column_name){
    case 'new_post_thumb':
      $post_thumbnail_id =  get_post_thumbnail_id($post_id);
		$thumbnail = !empty($post_thumbnail_id)? wp_get_attachment_image_src($post_thumbnail_id, 'thumbnail'):'';

       if (!empty($thumbnail[0])) {
         echo '<img width="100" src="' . esc_url($thumbnail[0]) . '" />';
      }
      break;
  }
}