<?php
 
class reza_element_staff_carousel extends \Elementor\Widget_Base {

 
	public function get_name() {
		return 'reza_staff_carousel';
	}

 	public function get_title() {
		return  __('Staff Member Carousel','reza');
	}

 
	public function get_icon() {
		return 'eicon-user-circle-o';
	}
	public function get_categories() {
		return [ 'reza' ];
	}


protected function register_controls() {
	//	start Content tab
		 
		 //Box Shadow
		 //Box Shadow
 	 
 		 $this->register_controls_general();
		$this->register_controls_slider();
		 
		$this->register_controls_layout();
		 
		$this->register_controls_post_style();
		 $this->register_controls_slider_style();
 		 $this->register_controls_caption_style();
 		 $this->register_controls_typography(); 
 
		//hover animation
 		 //end style tab
	}
    


 
	 
	 
	protected function register_controls_general(){
 		include  REZA_PATH . '/elementor/staff/elementor-staff-general.php';  
 	}
	
	protected function register_controls_slider(){
 		include REZA_PATH . '/elementor/general/elementor-slider.php';  
 	}	
	protected function register_controls_layout(){
 		include REZA_PATH . '/elementor/staff/elementor-staff-carousel-layout.php';  
 	}
 
	protected function register_controls_slider_style(){
 		include REZA_PATH . '/elementor/general/elementor-slider-style.php';  
 	}
 	
	protected function register_controls_post_style(){
 		include REZA_PATH . '/elementor/staff/elementor-staff-style.php';  
 	}	
protected function register_controls_caption_style(){
 		include REZA_PATH . '/elementor/staff/elementor-staff-caption-style.php';  
 	}		
	
 
	protected function register_controls_typography(){
 		include  REZA_PATH . '/elementor/staff/elementor-staff-typography.php';  
 	}	  
	protected function render() {
 		$option = $this->get_settings_for_display();
 		$args=array();
		$args['key']= $this->get_id();
		
		
 		$args['option'] = array(
		
 			/*****************************************************************************************************************
			General
			******************************************************************************************************************/
				'number'					=> reza_settings($option,'number'),
				'cats'						=>  reza_settings($option,'cats'),
				'excerpt' 					=> reza_settings($option,'excerpt'),
				'excerpt_limit'				=> reza_settings($option,'excerpt_limit'),
				'staff_position' 			=> reza_settings($option,'staff_position'),
				'social_icon' 				=> reza_settings($option,'social_icon'),	
	 
			/*****************************************************************************************************************
			Slider
			******************************************************************************************************************/
				'pager'						=>  reza_settings($option,'pager'),
				'arrows' 					=> reza_settings($option,'arrows'),
				'arrow_layout'				=> array(
					'location'					=>	reza_settings($option,'arrow_location'),
					'layout'					=>	reza_settings($option,'arrow_layout'),
					'size'						=>	reza_settings($option,'arrow_size'),
				),
				'auto' 						=> reza_settings($option,'auto'),
				'speed' 					=> reza_settings($option,'speed'),
				'pause' 					=> reza_settings($option,'pause'),
 
			/*****************************************************************************************************************
			Layout
			******************************************************************************************************************/
				'layout' 					=> reza_settings($option,'layout'),
				'column' 					=> reza_settings($option,'column'),
				'responsive_column'			=> reza_settings($option,'responsive_column'),
				'between' 					=> reza_settings($option,'between'),
				'ratio' 					=> reza_settings($option,'ratio'),
 				'image_width'				=> reza_settings($option,'image_width'),
 				'image_size'				=> reza_settings($option,'image_size'),
 				'alignment' 				=> reza_settings($option,'alignment'),
				'box_layout' 				=> reza_settings($option,'box_layout'),
				'caption_layout' 				=> reza_settings($option,'caption_layout'),
				'padding' 							=> reza_elmentor_padding($option),
				'tablet_padding' 							=> reza_elmentor_padding($option,'','tablet'),
				'mobile_padding' 							=> reza_elmentor_padding($option,'','mobile'),
   	  
	  
			/*****************************************************************************************************************
			Staff Style
			******************************************************************************************************************/
				'background_color' 			=> reza_settings($option,'background_color'),
				'title_color'				=> array(
					'link'						=> 	reza_settings($option,'title_color_link'),
					'text'						=>	reza_settings($option,'title_color_hover')
				),
				'excerpt_color'				=>  reza_settings($option,'excerpt_color'),
				'staff_position_color'		=>  reza_settings($option,'staff_position_color'),
				'icon_style'				=>  reza_settings($option,'icon_style'),
				'icon_color'				=>  reza_settings($option,'icon_color'),
				'box_border_color' 				=> reza_settings($option,'box_border_color'),
				'radius' 					=> reza_settings($option,'radius'),
 
			/*****************************************************************************************************************
			Slider Style
			******************************************************************************************************************/
				'arrow_color'		=> array(
					'background'				=>	reza_settings($option,'arrow_background_color'),
					'text'						=>	reza_settings($option,'arrow_text_color')
				),
				'pager_style'		=> array(
					'pager'						=>	reza_settings($option,'pager_color'),
					'pager_actvie'				=>	reza_settings($option,'pager_active_color')
				),	
 			/*****************************************************************************************************************
			Caption Style
			******************************************************************************************************************/
				'image_effect' 				=> reza_settings($option,'image_effect'),
				'image_radius'			=> reza_settings($option,'image_radius'),
				'caption_effect'			=> reza_settings($option,'caption_effect'),
 				'caption_background_color'	=> reza_settings($option,'caption_background_color'),
				'caption_color'				=> reza_settings($option,'caption_color'),
				
 
 			/*****************************************************************************************************************
			Typo
			******************************************************************************************************************/
     			'post_title_typo'			=> reza_elmentor_typo_css($option,'post_title'),
				'excerpt_typo'				=> reza_elmentor_typo_css($option,'excerpt'),
				'meta_typo'					=> reza_elmentor_typo_css($option,'meta'),
			
 
   		); 
  	 ?>
  		 <div class="rd-elementor-<?php echo esc_attr($this->get_id());?>">      
  			
            
            <?php echo reza_staff_carousel_config($args,true);?> 
		 
			<?php if ( \Elementor\Plugin::$instance->editor->is_edit_mode() ) {?>
                 <div class="rd-elementor-script">     
                        
						<script src='<?php echo  REZA_DIR . '/js/lib/lightslider.min.js'?>' id='sao_lightslider_script-js'></script>    

						<script type="text/javascript">
						
                          (function($) {
                            'use strict';
                            jQuery(document).ready(function() {				
                                $('.rd-elementor-<?php echo esc_html($this->get_id());?>').reza_elementor();
        
                             });
                            })(jQuery);
                       </script>
            
                </div>
			<?php }?>	
	
    	</div>
   
		 <?php
		 } 
	
}
 
 
