<?php
 
class reza_element_testimonial extends \Elementor\Widget_Base {

 
	public function get_name() {
		return 'reza_testimonial';
	}

 	public function get_title() {
		return  __('Testimonials','reza');
	}

 
	public function get_icon() {
		return 'eicon-testimonial';
	}
	public function get_categories() {
		return [ 'reza' ];
	}


protected function  register_controls() {
 
 		$this->register_controls_general();
		$this->register_controls_layout();
 		$this->register_controls_post_style();
		$this->register_controls_typography(); 
  
	}
    


 
	 
	 
	protected function register_controls_general(){
 		include  REZA_PATH . '/elementor/testimonial/elementor-testimonial-general.php';  
 	}
	
	
	protected function register_controls_layout(){
 		include REZA_PATH . '/elementor/testimonial/elementor-testimonial-layout.php';  
 	}
 
 
	 
 	
	protected function register_controls_post_style(){
 		include REZA_PATH . '/elementor/testimonial/elementor-testimonial-style.php';  
 	} 	
	
 
	protected function register_controls_typography(){
 		include  REZA_PATH . '/elementor/testimonial/elementor-testimonial-typography.php';  
 	}	  
	protected function render() {
 		$option = $this->get_settings_for_display();
 		$args=array();
		$args['key']= $this->get_id();
		
		
 		$args['option'] = array(
		
			/*****************************************************************************************************************
			General
			******************************************************************************************************************/
				'number'						=> reza_settings($option,'number'),
				'cats'							=>  reza_settings($option,'cats'),
				'author_image' 					=> reza_settings($option,'author_image'),
				'author_quote_limit'			=> reza_settings($option,'author_quote_limit'),
				'author_quote_layout' 			=> reza_settings($option,'author_quote_layout'),	
				'author_information'			=> reza_settings($option,'author_information'),
				'author_rating' 				=> reza_settings($option,'author_rating'),	
 	   
 
			/*****************************************************************************************************************
			Layout
			******************************************************************************************************************/
				'layout' 						=> reza_settings($option,'layout'),
				'list_layout' 					=> reza_settings($option,'list_layout'),
				'grid_layout' 					=> reza_settings($option,'grid_layout'),
  				'between' 					=> reza_settings($option,'between'),
				'box_layout' 				=> reza_settings($option,'box_layout'),
				'padding' 							=> reza_elmentor_padding($option),
				'tablet_padding' 							=> reza_elmentor_padding($option,'','tablet'),
				'mobile_padding' 							=> reza_elmentor_padding($option,'','mobile'),

			/*****************************************************************************************************************
			Testimonail Style
			******************************************************************************************************************/
				'background_color' 				=> reza_settings($option,'background_color'),
				'author_name_color'				=> 	reza_settings($option,'author_name_color'),
				'author_quote_color'			=>  reza_settings($option,'author_quote_color'),
				'author_information_color'		=>  reza_settings($option,'author_information_color'),
				'author_rating_color'			=> array(
					'rating' 						=> reza_settings($option,'author_rating_rating_color'),
					'none'							=> reza_settings($option,'author_rating_none_color'),
				 ),
				'box_border_color'				=> reza_settings($option,'box_border_color'),
 				'image_radius' 					=> reza_settings($option,'author_image_radius'), 
				'radius' 						=> reza_settings($option,'radius'),
 			/*****************************************************************************************************************
			Image And Caption Style
			******************************************************************************************************************/
 				'author_name_typo'				=> reza_elmentor_typo_css($option,'author_name'),
				'author_quote_typo'				=> reza_elmentor_typo_css($option,'author_quote'),
				'author_information_typo'		=> reza_elmentor_typo_css($option,'author_information'),
 
   		); 
  	 ?>
  		 <div class="rd-elementor-<?php echo esc_attr($this->get_id());?>">      
  			
            
            <?php echo reza_testimonial_config($args,true);?>
		  
		 	
 
		 
			<?php if ( \Elementor\Plugin::$instance->editor->is_edit_mode() ) {?>
                 <div class="rd-elementor-script">     
                        <script type="text/javascript">
                          (function($) {
                            'use strict';
                            jQuery(document).ready(function() {				
                                $('.rd-elementor-<?php echo esc_html($this->get_id());?>').reza_elementor();
        
                             });
                            })(jQuery);
                       </script>
            
                </div>
			<?php }?>	
	
    	</div>
   
		 <?php
		 } 
	
}
 