<?php
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

														TestimonialS Taxonomy

*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
add_action( 'init', 'reza_testimonial_post_type' );
function reza_testimonial_post_type() {
	
	$labels = array(
		'name' 					=> __('Testimonials','reza'),
		'singular_name'			=> __('Testimonial','reza'),
		'add_new'				=> __('Add New','reza'),
		'add_new_item'			=> __('Add New Testimonial','reza'),
		'edit_item'				=> __('Edit Testimonial','reza'),
		'new_item'				=> __('New Testimonial','reza'),
		'view_item'				=> __('View Testimonial','reza'),
 		'all_items'				=> __('All Testimonials','reza'),
 		'search_items'			=> __('Search Testimonials','reza'),
		'not_found'				=> __('No Testimonials found','reza'),
		'not_found_in_trash'	=>__('No Testimonials found in trash','reza'),
		'parent_item_colon'		=> '',
		'menu_name'				=> __('Testimonials','reza')
	);
	
	$args = array(
		'labels'				=> $labels,
		'public'				=> true,
		'publicly_queryable'	=> true,
		'show_ui'				=> true, 
		'show_in_menu'			=> true, 
		'query_var'				=> true,
   		'capability_type'		=> 'post',
		'has_archive'			=> true, 
		'hierarchical'			=> false,
		'menu_position'			=> null,
		'supports' => array( 'title', 'thumbnail' )
	); 
	 

	register_post_type( 'testimonial', $args );
}
 
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

														Testimonials Categories Taxonomy

*////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
add_action( 'init', 'reza_testimonial_categories_taxonomy', 1 );
function reza_testimonial_categories_taxonomy() {
 
   $labels = array(
		'name'							=> __( 'دسته بندی ها','reza' ),
		'singular_name'					=> __( 'Category','reza'  ),
		'search_items'					=> __( 'Search Categories' ,'reza' ),
		'popular_items'					=> __( 'Popular Categories','reza'  ),
		'all_items' 					=> __( 'All Categories' ,'reza' ),
		 'parent_item'					=> __( 'Parent Category' ,'reza' ),
		'edit_item'						=> __( 'Edit Topic','reza' ), 
		'update_item' 					=> __( 'Update Category','reza'  ),
		'add_new_item'					=> __( 'Add New Category','reza'  ),
		'new_item_name'			 		=> __( 'New Topic Name' ,'reza' ),
		'separate_items_with_commas'	=> __( 'Separate Categories with commas' ,'reza' ),
		'add_or_remove_items'			=> __( 'Add or remove Categories','reza'  ),
		'choose_from_most_used' 		=> __( 'Choose from the most used Categories','reza'  ),
		'menu_name' 					=> __( 'Categories' ,'reza' ),
  );  
 
  
	
  register_taxonomy('testimonial_category','testimonial', array(
    'hierarchical' 					=> true,
    'labels' 						=> $labels,
    'show_ui' 						=> true,
    'show_admin_column'				=> true,
    'query_var'						=> true,
   ));

}
add_action('manage_reza_testimonial_posts_custom_column', 'reza_display_thumbnails_column', 5, 2);

/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

															testimonial Display thumbnail column

*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

add_filter('manage_testimonial_posts_columns', 'reza_testimonial_add_thumbnail_column', 5);
function reza_testimonial_add_thumbnail_column($columns){
   $columns['new_post_thumb'] = __('Featured Image','reza');
  return $columns;
} 


add_action('manage_testimonial_posts_custom_column', 'reza_testimonial_display_thumbnail_column', 5, 2);
function reza_testimonial_display_thumbnail_column($column_name, $post_id){
  switch($column_name){
    case 'new_post_thumb':
      $post_thumbnail_id =  get_post_thumbnail_id($post_id);
		$thumbnail = !empty($post_thumbnail_id)? wp_get_attachment_image_src($post_thumbnail_id, 'thumbnail'):'';

       if (!empty($thumbnail[0])) {
         echo '<img width="100" src="' . esc_url($thumbnail[0]) . '" />';
      }
      break;
  }
}