  /**
   * jquery-circle-progress - jQuery Plugin to draw animated circular progress bars:
   * {@link http://kottenator.github.io/jquery-circle-progress/}
   *
   * @author Rostyslav Bryzgunov <kottenator@gmail.com>
   * @version 1.2.2
   * @licence MIT
   * @preserve
   */

  ! function(i) {
      if ("function" == typeof define && define.amd) define(["jquery"], i);
      else if ("object" == typeof module && module.exports) {
          var t = require("jquery");
          i(t), module.exports = t
      } else i(jQuery)
  }(function(i) {
      function t(i) {
          this.init(i)
      }
      t.prototype = {
          value: 0,
          size: 100,
          startAngle: -Math.PI,
          thickness: "auto",
          fill: {
              gradient: ["#3aeabb", "#fdd250"]
          },
          emptyFill: "rgba(0, 0, 0, .1)",
          animation: {
              duration: 1200,
              easing: "circleProgressEasing"
          },
          animationStartValue: 0,
          reverse: !1,
          lineCap: "round",
          insertMode: "prepend",
          constructor: t,
          el: null,
          canvas: null,
          ctx: null,
          radius: 0,
          arcFill: null,
          lastFrameValue: 0,
          init: function(t) {
              i.extend(this, t), this.radius = this.size / 2, this.initWidget(), this.initFill(), this.draw(), this.el.trigger("circle-inited")
          },
          initWidget: function() {
              this.canvas || (this.canvas = i("<canvas>")["prepend" == this.insertMode ? "prependTo" : "appendTo"](this.el)[0]);
              var t = this.canvas;
              if (t.width = this.size, t.height = this.size, this.ctx = t.getContext("2d"), window.devicePixelRatio > 1) {
                  var e = window.devicePixelRatio;
                  t.style.width = t.style.height = this.size + "px", t.width = t.height = this.size * e, this.ctx.scale(e, e)
              }
          },
          initFill: function() {
              function t() {
                  var t = i("<canvas>")[0];
                  t.width = e.size, t.height = e.size, t.getContext("2d").drawImage(g, 0, 0, r, r), e.arcFill = e.ctx.createPattern(t, "no-repeat"), e.drawFrame(e.lastFrameValue)
              }
              var e = this,
                  a = this.fill,
                  n = this.ctx,
                  r = this.size;
              if (!a) throw Error("The fill is not specified!");
              if ("string" == typeof a && (a = {
                      color: a
                  }), a.color && (this.arcFill = a.color), a.gradient) {
                  var s = a.gradient;
                  if (1 == s.length) this.arcFill = s[0];
                  else if (s.length > 1) {
                      for (var l = a.gradientAngle || 0, o = a.gradientDirection || [r / 2 * (1 - Math.cos(l)), r / 2 * (1 + Math.sin(l)), r / 2 * (1 + Math.cos(l)), r / 2 * (1 - Math.sin(l))], h = n.createLinearGradient.apply(n, o), c = 0; c < s.length; c++) {
                          var d = s[c],
                              u = c / (s.length - 1);
                          i.isArray(d) && (u = d[1], d = d[0]), h.addColorStop(u, d)
                      }
                      this.arcFill = h
                  }
              }
              if (a.image) {
                  var g;
                  a.image instanceof Image ? g = a.image : (g = new Image, g.src = a.image), g.complete ? t() : g.onload = t
              }
          },
          draw: function() {
              this.animation ? this.drawAnimated(this.value) : this.drawFrame(this.value)
          },
          drawFrame: function(i) {
              this.lastFrameValue = i, this.ctx.clearRect(0, 0, this.size, this.size), this.drawEmptyArc(i), this.drawArc(i)
          },
          drawArc: function(i) {
              if (0 !== i) {
                  var t = this.ctx,
                      e = this.radius,
                      a = this.getThickness(),
                      n = this.startAngle;
                  t.save(), t.beginPath(), this.reverse ? t.arc(e, e, e - a / 2, n - 2 * Math.PI * i, n) : t.arc(e, e, e - a / 2, n, n + 2 * Math.PI * i), t.lineWidth = a, t.lineCap = this.lineCap, t.strokeStyle = this.arcFill, t.stroke(), t.restore()
              }
          },
          drawEmptyArc: function(i) {
              var t = this.ctx,
                  e = this.radius,
                  a = this.getThickness(),
                  n = this.startAngle;
              i < 1 && (t.save(), t.beginPath(), i <= 0 ? t.arc(e, e, e - a / 2, 0, 2 * Math.PI) : this.reverse ? t.arc(e, e, e - a / 2, n, n - 2 * Math.PI * i) : t.arc(e, e, e - a / 2, n + 2 * Math.PI * i, n), t.lineWidth = a, t.strokeStyle = this.emptyFill, t.stroke(), t.restore())
          },
          drawAnimated: function(t) {
              var e = this,
                  a = this.el,
                  n = i(this.canvas);
              n.stop(!0, !1), a.trigger("circle-animation-start"), n.css({
                  animationProgress: 0
              }).animate({
                  animationProgress: 1
              }, i.extend({}, this.animation, {
                  step: function(i) {
                      var n = e.animationStartValue * (1 - i) + t * i;
                      e.drawFrame(n), a.trigger("circle-animation-progress", [i, n])
                  }
              })).promise().always(function() {
                  a.trigger("circle-animation-end")
              })
          },
          getThickness: function() {
              return i.isNumeric(this.thickness) ? this.thickness : this.size / 14
          },
          getValue: function() {
              return this.value
          },
          setValue: function(i) {
              this.animation && (this.animationStartValue = this.lastFrameValue), this.value = i, this.draw()
          }
      }, i.circleProgress = {
          defaults: t.prototype
      }, i.easing.circleProgressEasing = function(i) {
          return i < .5 ? (i = 2 * i, .5 * i * i * i) : (i = 2 - 2 * i, 1 - .5 * i * i * i)
      }, i.fn.circleProgress = function(e, a) {
          var n = "circle-progress",
              r = this.data(n);
          if ("widget" == e) {
              if (!r) throw Error('Calling "widget" method on not initialized instance is forbidden');
              return r.canvas
          }
          if ("value" == e) {
              if (!r) throw Error('Calling "value" method on not initialized instance is forbidden');
              if ("undefined" == typeof a) return r.getValue();
              var s = arguments[1];
              return this.each(function() {
                  i(this).data(n).setValue(s)
              })
          }
          return this.each(function() {
              var a = i(this),
                  r = a.data(n),
                  s = i.isPlainObject(e) ? e : {};
              if (r) r.init(s);
              else {
                  var l = i.extend({}, a.data());
                  "string" == typeof l.fill && (l.fill = JSON.parse(l.fill)), "string" == typeof l.animation && (l.animation = JSON.parse(l.animation)), s = i.extend(l, s), s.el = a, r = new t(s), a.data(n, r)
              }
          })
      }
  });
  (function($) {
      var $w = $(window);
      $.fn.visible = function(partial, hidden, direction, container) {
          if ($(this).parents('body').hasClass('wp-admin')) {
              return true;
          }
          if (this.length < 1)
              return;

          // Set direction default to 'both'.
          direction = direction || 'both';

          var $t = this.length > 1 ? this.eq(0) : this,
              isContained = typeof container !== 'undefined' && container !== null,
              $c = isContained ? $(container) : $w,
              wPosition = isContained ? $c.position() : 0,
              t = $t.get(0),
              vpWidth = $c.outerWidth(),
              vpHeight = $c.outerHeight(),
              clientSize = hidden === true ? t.offsetWidth * t.offsetHeight : true;

          if (typeof t.getBoundingClientRect === 'function') {

              // Use this native browser method, if available.
              var rec = t.getBoundingClientRect(),
                  tViz = isContained ?
                  rec.top - wPosition.top >= 0 && rec.top < vpHeight + wPosition.top :
                  rec.top >= 0 && rec.top < vpHeight,
                  bViz = isContained ?
                  rec.bottom - wPosition.top > 0 && rec.bottom <= vpHeight + wPosition.top :
                  rec.bottom > 0 && rec.bottom <= vpHeight,
                  lViz = isContained ?
                  rec.left - wPosition.left >= 0 && rec.left < vpWidth + wPosition.left :
                  rec.left >= 0 && rec.left < vpWidth,
                  rViz = isContained ?
                  rec.right - wPosition.left > 0 && rec.right < vpWidth + wPosition.left :
                  rec.right > 0 && rec.right <= vpWidth,
                  vVisible = partial ? tViz || bViz : tViz && bViz,
                  hVisible = partial ? lViz || rViz : lViz && rViz,
                  vVisible = (rec.top < 0 && rec.bottom > vpHeight) ? true : vVisible,
                  hVisible = (rec.left < 0 && rec.right > vpWidth) ? true : hVisible;

              if (direction === 'both')
                  return clientSize && vVisible && hVisible;
              else if (direction === 'vertical')
                  return clientSize && vVisible;
              else if (direction === 'horizontal')
                  return clientSize && hVisible;
          } else {

              var viewTop = isContained ? 0 : wPosition,
                  viewBottom = viewTop + vpHeight,
                  viewLeft = $c.scrollLeft(),
                  viewRight = viewLeft + vpWidth,
                  position = $t.position(),
                  _top = position.top,
                  _bottom = _top + $t.height(),
                  _left = position.left,
                  _right = _left + $t.width(),
                  compareTop = partial === true ? _bottom : _top,
                  compareBottom = partial === true ? _top : _bottom,
                  compareLeft = partial === true ? _right : _left,
                  compareRight = partial === true ? _left : _right;

              if (direction === 'both')
                  return !!clientSize && ((compareBottom <= viewBottom) && (compareTop >= viewTop)) && ((compareRight <= viewRight) && (compareLeft >= viewLeft));
              else if (direction === 'vertical')
                  return !!clientSize && ((compareBottom <= viewBottom) && (compareTop >= viewTop));
              else if (direction === 'horizontal')
                  return !!clientSize && ((compareRight <= viewRight) && (compareLeft >= viewLeft));
          }
      };

      function EnglishTopersian(input) {
          var inputstring = input;
          var english = ["۰", "۱", "۲", "۳", "۴", "۵", "۶", "۷", "۸", "۹"]
          var persian = ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"]
          for (var i = 0; i < 10; i++) {
              var regex = new RegExp(persian[i], 'g');
              inputstring = inputstring.toString().replace(regex, english[i]);
          }
          return inputstring;
      }
/******************************************************************************************************************************************************
******************************************************************************************************************************************************
	
																			Simple Counter
																			
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////*/   
      $.fn.jQuerySimpleCounter = function(percent = 1000, duration = 2000, end = '') {
          var $this = $(this);
          var countTo = percent;
          var delayTo = duration;

          if (!delayTo) {
              delayTo = 8000
          };
          $({
              countNum: $this.text()
          }).animate({
              countNum: countTo
          }, {
              duration: delayTo,
              easing: 'linear',
              step: function() {

                  if ($('body').hasClass('rtl')) {
                      var etp = EnglishTopersian(Math.floor(this.countNum));
                  } else {
                      var etp = Math.floor(this.countNum);
                  }
                  $this.text(etp + end);

              },

              complete: function() {

                  if ($('body').hasClass('rtl')) {
                      var etp = EnglishTopersian(Math.floor(this.countNum));
                  } else {
                      var etp = Math.floor(this.countNum);
                  }

                  $this.text(etp + end);
              }
          });


      }
/******************************************************************************************************************************************************
******************************************************************************************************************************************************
	
																			Progressbar
																			
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////*/   
      $.fn.reza_progressbar = function() {
              $(this).find('[class*="rd-progress-item-"]').each(function(i, elem) {
                  var elem = $(this).find('.rd-bar');
                  var this_elemnt = $(this);
                  var percent = $(this).find('.rd-bar').attr('data-bar-percent');
                  var pro_duration = parseInt($(this).find('.rd-bar').attr('data-bar-duration'));
                  var count = $(this).find('.rd-progress-percent');
                  var Interval = setInterval(function() {
                      if (!this_elemnt.hasClass('animated') && this_elemnt.visible(true)) {
                          this_elemnt.addClass('animated');
                          if (this_elemnt.hasClass('animated')) {
                              clearInterval(Interval);
                          }

                          count.jQuerySimpleCounter(percent, pro_duration, '%');



                      }
                  }, 500);


              });
          }
/******************************************************************************************************************************************************
******************************************************************************************************************************************************
	
																			Conut Number
																			
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////*/   
      $.fn.reza_count_number = function() {
          $(this).find('.rd-count-number').each(function(index, element) {

              var elem = $(this);
              var number = parseInt($(this).attr('number'));
              var endnumber = $(this).attr('end');
              var duration = parseInt($(this).attr('duration'));

              var Interval = setInterval(function() {
                  if (!elem.hasClass('animated') && elem.visible(true)) {
                      elem.addClass('animated');
                      if (elem.hasClass('animated')) {
                          clearInterval(Interval);
                      }

                      elem.jQuerySimpleCounter(number, duration, endnumber);

                  }
              }, 2000);
          });

      }

/******************************************************************************************************************************************************
******************************************************************************************************************************************************
	
																			Chart
																			
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////*/  
      $.fn.reza_chart = function() {
          var isset = function(variable) {
              return typeof(variable) !== "undefined" && variable !== null && variable !== '';
          }

          $(this).find('.rd-chart').each(function(index, element) {
              var elem = $(this);
              var option = jQuery.parseJSON($(this).find('.rd-json').html());

              if (isset(option['percent'])) {
                  var percent = parseInt(option['percent']);
              } else {
                  var percent = '0';
              }

              if (isset(option['endpercentage'])) {
                  var end_percentage = option['endpercentage'];
              } else {
                  var end_percentage = '';
              }

              if (isset(option['duration'])) {
                  var bar_duration = parseInt(option['duration']);
              } else {
                  var bar_duration = 2000;
              }
              /*
               */
              var percent_circle = percent / 100;

              if (isset(option['chart_size'])) {
                  var chart_size = parseInt(option['chart_size']);
              } else {
                  var chart_size = 150;
              }


              if (isset(option['bar_first'])) {
                  var first = option['bar_first'];
              } else {
                  var first = 'red';
              }

              if (isset(option['bar_second'])) {
                  var second = option['bar_second'];
              } else {
                  var second = first;
              }

              if (isset(option['bar_size'])) {
                  var size = parseInt(option['bar_size']);
              } else {
                  var size = 5;
              }

              if (isset(option['track_color'])) {
                  var track = option['track_color'];
              } else {
                  var track = 'rgba(128,128,128,0.1)';
              }

              var chart_percent = $(this).find('.rd-chart-percent');

 	
 		 
              var Interval = setInterval(function() {

                  if (!$(this).hasClass('animated') && elem.visible(true)) {
                      elem.addClass('animated');
                      if (elem.hasClass('animated')) {
                          clearInterval(Interval);
                      }

                      elem.circleProgress({
                          value: percent_circle,
                          animation: {
                              duration: bar_duration,
                              easing: 'circleProgressEasing'
                          },
                          emptyFill: track,
                          size: chart_size,
                          thickness: size,
                          fill: {
                              gradient: [first, second]
                          }
                      });




                      chart_percent.jQuerySimpleCounter(percent, bar_duration, end_percentage);

                  }
              }, 500);

          });

      }

 
  })(jQuery);

/******************************************************************************************************************************************************
******************************************************************************************************************************************************
	
																			Function
																			
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////*/ 
  (function($) {
      $.fn.reza_counter = function() {

          var this_element = $(this);

          this_element.reza_progressbar();
          this_element.reza_chart();
          this_element.reza_count_number();

      }

  })(jQuery);